# Uses of Enum Class
org.eclipse.gef.common.collections.ListListenerHelperEx.ElementarySubChange.Kind

Packages that use ListListenerHelperEx.ElementarySubChange.Kind
Package
Description
org.eclipse.gef.common.collections
This package augments the JavaFX collections API with support for `SetMultimap` and `Multiset`.

## Uses of ListListenerHelperEx.ElementarySubChange.Kind in org.eclipse.gef.common.collections

Methods in org.eclipse.gef.common.collections that return ListListenerHelperEx.ElementarySubChange.Kind
Modifier and Type
Method
Description
`ListListenerHelperEx.ElementarySubChange.Kind`
ListListenerHelperEx.ElementarySubChange.`getKind()`
Returns the kind of change.
`static ListListenerHelperEx.ElementarySubChange.Kind`
ListListenerHelperEx.ElementarySubChange.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ListListenerHelperEx.ElementarySubChange.Kind[]`
ListListenerHelperEx.ElementarySubChange.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.gef.common.collections with parameters of type ListListenerHelperEx.ElementarySubChange.Kind
Modifier
Constructor
Description
``
`ElementarySubChange(ListListenerHelperEx.ElementarySubChange.Kind kind, int from, int to, List<? extends E> removed, List<? extends E> added, int[] permutation)`
Creates a new `ListListenerHelperEx.ElementarySubChange` .